Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`application`.`runner`.`_exit`.`ExitStatus``

class documentation

`class ExitStatus(IntEnum): (source)`

View In Hierarchy

Standard exit status codes for system programs.

Constant | `EX_CANTCREAT` | Can't create (user) output file.
Constant | `EX_CONFIG` | Configuration error.
Constant | `EX_DATAERR` | Data format error.
Constant | `EX_IOERR` | Input/output error.
Constant | `EX_NOHOST` | Host name unknown.
Constant | `EX_NOINPUT` | Cannot open input.
Constant | `EX_NOPERM` | Permission denied.
Constant | `EX_NOUSER` | Addressee unknown.
Constant | `EX_OK` | Successful termination.
Constant | `EX_OSERR` | System error (e.g., can't fork).
Constant | `EX_OSFILE` | Critical OS file missing.
Constant | `EX_PROTOCOL` | Remote error in protocol.
Constant | `EX_SOFTWARE` | Internal software error.
Constant | `EX_TEMPFAIL` | Temporary failure; the user is invited to retry.
Constant | `EX_UNAVAILABLE` | Service unavailable.
Constant | `EX_USAGE` | Command line usage error.

EX_CANTCREAT = (source)

Can't create (user) output file.

Value

    Status.EX_CANTCREAT

EX_CONFIG = (source)

Configuration error.

Value

    Status.EX_CONFIG

EX_DATAERR = (source)

Data format error.

Value

    Status.EX_DATAERR

EX_IOERR = (source)

Input/output error.

Value

    Status.EX_IOERR

EX_NOHOST = (source)

Host name unknown.

Value

    Status.EX_NOHOST

EX_NOINPUT = (source)

Cannot open input.

Value

    Status.EX_NOINPUT

EX_NOPERM = (source)

Permission denied.

Value

    Status.EX_NOPERM

EX_NOUSER = (source)

Addressee unknown.

Value

    Status.EX_NOUSER

EX_OK = (source)

Successful termination.

Value

    Status.EX_OK

EX_OSERR = (source)

System error (e.g., can't fork).

Value

    Status.EX_OSERR

EX_OSFILE = (source)

Critical OS file missing.

Value

    Status.EX_OSFILE

EX_PROTOCOL = (source)

Remote error in protocol.

Value

    Status.EX_PROTOCOL

EX_SOFTWARE = (source)

Internal software error.

Value

    Status.EX_SOFTWARE

EX_TEMPFAIL = (source)

Temporary failure; the user is invited to retry.

Value

    Status.EX_TEMPFAIL

EX_UNAVAILABLE = (source)

Service unavailable.

Value

    Status.EX_UNAVAILABLE

EX_USAGE = (source)

Command line usage error.

Value

    Status.EX_USAGE